# classes/phing/system/lang/EventObject.php

package
  phing.system.lang

## \EventObject
jump to top

package
  phing.system.lang

### Properties

`$source= ''`

The object on which the Event initially occurred.

Details

Type

### Methods

`__construct( $source ) :`
Constructs a prototypical Event.
Parameters

Name | Type | Description
--- | --- | ---
$source |  |

`getSource( ) :`
The object on which the Event initially occurred.
`toString( ) :`
Returns a String representation of this EventObject.
Documentation was generated by DocBlox 0.13.1.